## python-django-object-actions 4.1.0

=== debian/changelog ===
python-django-object-actions (4.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Feb 2023 14:06:10 +0200

python-django-object-actions (4.1.0-1) unstable; urgency=low

  * Initial release (Closes: #1030055).

 -- Michael Fladischer <fladi@debian.org>  Tue, 31 Jan 2023 11:32:14 +0000
