=== debian/changelog ===
python-django-object-actions (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Sep 2023 13:21:19 +0000
