=== debian/control ===
Source: python-django-object-actions
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-dj-database-url,
 python3-django,
 python3-django-extensions,
 python3-factory-boy,
 python3-poetry-core,
 python3-pytest,
 python3-pytest-django,
Standards-Version: 4.6.2
Homepage: https://github.com/crccheck/django-object-actions
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-object-actions
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-object-actions.git
Rules-Requires-Root: no

Package: python3-django-object-actions
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: object tools for models in the admin (Python3 version)
 Defining new tool actions is just like defining regular admin actions. The
 major difference is the functions for django-object-actions will take an object
 instance instead of a queryset.
 Tool actions are exposed by putting them in a change_actions attribute in your
 admin.ModelAdmin. You can also add tool actions to the main changelist views
 too. There, you'll get a queryset like a regular admin action.
 .
 This package contains the Python 3 version of the library.
