## python-django-object-actions 4.3.0

=== debian/changelog ===
python-django-object-actions (4.3.0-1) unstable; urgency=low

  * New upstream version 4.3.0
  * Use dh-sequence-python3.
  * Update year in d/copyright.
  * Bump Standards-Version to 4.7.0.
  * Add patch to fix missing annotations on mock function.

 -- Michael Fladischer <fladi@debian.org>  Fri, 28 Feb 2025 11:16:12 +0000
