=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-dj-database-url,
@@ -16,7 +16,7 @@
  python3-poetry-core,
  python3-pytest,
  python3-pytest-django,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/crccheck/django-object-actions
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-object-actions
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-object-actions.git
