=== debian/changelog ===
python-django-object-actions (5.0.0-1) unstable; urgency=low

  * New upstream version 5.0.0
  * Refresh patches.
  * Add patch to use automatic discovery of packages to also include tests.
  * Bump Standards-Version to 4.7.2.
  * Add python3-setuptools to Build-Depends.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Aug 2025 21:49:57 +0000
