=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
  python3-poetry-core,
  python3-pytest,
  python3-pytest-django,
-Standards-Version: 4.7.0
+ python3-setuptools,
+Standards-Version: 4.7.2
 Homepage: https://github.com/crccheck/django-object-actions
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-object-actions
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-object-actions.git
