=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-object-actions
export PYBUILD_TEST_ARGS=--ds=example_project.settings

%:
	dh $@ --with python3 --buildsystem=pybuild
